SpamBlazer Evaluation Dialog

This dialog box allows the user to choose which mailiem folder to classify as legitimate or spam messages. It allows the user to select the range of messages that are processed by the classifier and depicts a progress bar that indicates the status of the operation to the user.

Displays an Evaluation Folder

Displays the selected mailitem folder whose messages would be classified as either legitimate or spam.

Selects an Evaluation Folder

Please select an email folder that you want SpamBlazer to classify. Messages in this folder would be classified appropriately as either legitimate or spam messages based on its trained data. Legitimate messages are moved into the Inbox folder and spam messages are moved into the SpamBlazer folder.

Selects a Start Date for an Evaluation Folder

The range of messages to be classified is controlled by the start and end dates. Please select a start date for the period of interest. The start date cannot be in the future and cannot be greater than the end date.

Selects an End Date for an Evaluation Folder

The range of messages to be classified is controlled by the start and end dates. Please select an end date for the period of interest. The end date cannot be in the future and cannot be less than the start date.

Displays Evaluation Folder Progress

Display the status of the evaluation process, depicting pertinent messages as the process continues.

Initiaties the Evaluation Process

Please select the start evaluation button to initiate the classification process.

Cancels the Evaluation Process

Please select the cancel button, if you dont want to proceed with the classification process.


SpamBlazer About Dialog

This dialog box depicts the current version of SpamBlazer that is running on your machine. Also, it shows the copyright and licensing information vis a vis SpamBlazer. You can also access the main help file from this dialog.


SpamBlazer Adversary Countries Dialog

There could be a preponderance of spam email messages from certain countries.This dialog box allows you to select those countries and mark them as adversay countries. All email messages coming from these countries are blocked and dump into the SpamBlazer folder for your examinantion. However, email messages coming from your buddies list, group list are never blocked even they enmnate from your adversary countries.

Navigates Adversary Countries

You can navigate through the list of adversary countries. Add more countries to the list of adversary countries. Delete countries from your list of adversary countries. Save changes made to your adversary countries list. Span your list of adversary countries by fast forwarding, rewinding, moving to the first and last items on the list.

Edits and Views Adversary Countries

The data grid view depicts the list of all countries. Whenever a user establishes that there is a prevalence of unsolicited email messages from certain countries, the user can mark such countries as adversary countries. SpamBlazer will block all email messages coming from those countries apart from those that are on the buddies and group lists.

Closes Adversary Countries

Please close the dialog box after successfully editing the list of adversary countries.


SpamBlazer Buddies List Dialog

This dialog box is responsible for the maintenance of chosen associates, cohorts, friends, family members and known parties that are added to a buddies list. Messages from members of this list are treated as legitimate email messages, SpamBlazer moves such email messages to the Inbox folder.

Navigates Buddies List

You can navigate through the list of your buddies. Messages from the members of this list are treated legitimate. Add more cohorts, friends, family memberss and known parties to the list of buddies. Delete members from your list of buddies. Save changes made to your buddies list. Span your list of buddies by fast forwarding, rewinding, moving to the first and last items on the list.

Edits and Views Buddies List

The data grid view depicts the list of your cohorts, friends, family members, and known parties. Whenever a user establishes that a sender of an email is a trusted party, the user can elect to preclude the sender email messages for further screening by SpamBlazer by adding the sender email address to the list of buddies. Untrusted parties are removed from the list of buddies and would be subject to full screening by SpamBlazer.

Closes List of Buddies

Please close the dialog box after successfully editing the list of buddies.


SpamBlazer Enemies List Dialog

This dialog box is responsible for the maintenance of the list of those you consider as enemies, foes, villians and unknown parties. Members on this list are not trusted by the user. Email messages emanating from such quarters are quarantined and sent to the SpamBlazer folder .

Navigates Enemies List

You can navigate through the list of your enemies list. Messages from the members of this list are treated spam. Add more enemies, foes, villians, and unknown to the list of enemies. Delete members from your list of enemies. Save changes made to your enemies list. Span your list of enemies by fast forwarding, rewinding, moving to the first and last items on the list.

Edits and Views Enemies List

The data grid view depicts the list of your enemies, foes, villains, and unknown parties. Whenever a user establishes that a sender of an email is an untrusted party, the user can elect to add the unscrupulous sender to the enemies list. Messages from untrusted parties are quarantined by SpamBlazer. The messages are then moved to the SpamBlazer folder.

Closes List of Enemies

Please close the dialog box after successfully editing the list of enemies.


SpamBlazer Group List Dialog

This dialog box is responsible for the maintenance of your mailing lists and newsgroups. Messages coming from such mailing lists are exempted from the screenings of SpamBlazer. Messages from these mailing lists are routed onto the Inbox folder.

Navigates Mailing Lists/Newsgroups

You can navigate through the list of your mailing lists and newsgroups. Messages from the members of this list are treated legitimate. Add more mailing lists and newsgroups to the group list. Delete members from your group list . Save changes made to your group list. Span your lgroup list by fast forwarding, rewinding, moving to the first and last items on the list.

Edits and Views Mailing Lists and Newsgroup

The data grid view depicts the list of your maiing lists and newsgroups. Whenever a user joins a mailing list or newgroups, the group list is updated to reflect the change, and the user leaves the newgroups, the group list is modified accordingly - deletion of the defunct newsgroup. Messages are from your chosen mailing lists and newsgroups are treated as legitimate email messages. The messages are then moved to the Inbox folder.

Closes Group List

Please close the dialog box after successfully editing the mailing lists and newgroups.


SpamBlazer IP Addresses Dialog

This dialog box is responsible for the maintenance of the IP addresses of chosen associates, cohorts, friends, family members and known parties that are added to an IP addresses list. Messages from members of this list are treated as legitimate email messages, SpamBlazer moves such email messages to the Inbox folder.

Navigates IP Addresses List

You can navigate through the list of your valid IP addresses. Messages from the members of this list are treated legitimate. Add IP addresses of cohorts, friends, family memberss and known parties to the list of IP addresses. Delete IP addresses from your list of valid IP addresses. Save changes made to your valid IP addresses. Span your list of valid IP addresses by fast forwarding, rewinding, moving to the first and last items on the list.

Edits and Views IP Addresses List

The data grid view depicts the valid list of IP addresses of your cohorts, friends, family members, and known parties. Whenever a user establishes that a sender of an email is a trusted party, the user can elect to preclude the sender email messages for further screening by SpamBlazer by adding the sender IP addresses to the list of valid IP addresses. Untrusted parties are removed from the list of valid IP addresses and would be subject to full screening by SpamBlazer.

Closes List of Valid IP Addresses

Please close the dialog box after successfully editing the list of valid IP addresses.


SpamBlazer Notification of Fraudulent Email Dialog

This dialog box is responsible for getting a confirmation from the user before the user sends a set of fraudulent email messages to SpamBlazer servers for further analysis.

Prompts for User' Authorization

Prompts the user for the final authorization before sending the set of fraudulent email messages to SpamBlazer servers for further analysis

Always get User Authorization

User checks the confirmation checkbox to indicate that subsequent fraudulent email messages are sent to SpamBlazer for further analysis without getting final user authorization. This means that the user is confident that transactions between the user and SpamBlazer are private and held in strictest confidence. User unchecks the confirmation checkbox to indicate that the user will always give an authorization before subsequent virus email messages are sent to SpamBlazer for further analysis.

Accepts User Authorization

User affirms that the set of frauduluent email messages be sent to SpamBlazer servers for further analysis

Declines User Authorization

User does not want the set of fraudulent email messages to be sent to SpamBlazer servers for further analysis.


SpamBlazer Notification of Legitimate Email Dialog

This dialog box is responsible for getting a confirmation from the user before the user sends a set of legitimate email messages to SpamBlazer servers that is used as part of the corpus for building SpamBlazer classifier.

Prompts for User' Authorization

Prompts the user for the final authorization before sending the set of legitimate email messages to SpamBlazer servers that is used in building the default SpamBlazer classifier.

Always get User Authorization

User checks the confirmation checkbox to indicate that subsequent legitimate email messages are sent to SpamBlazer for building SpamBlazer classifier without getting final user authorization. This means that the user is confident that transactions between the user and SpamBlazer are private and held in strictest confidence. User unchecks the confirmation checkbox to indicate that the user will always give an authorization before subsequent legitimate email messages are used in building SpamBlazer classifier.

Accepts User Authorization

User affirms that the set of legitimate email messages be sent to SpamBlazer servers for building the SpamBlazer classifier.

Declines User Authorization

User does not want the set of legitimate email messages to be sent to SpamBlazer servers for building the SpamBlazer classifier.


SpamBlazer Notification of Spam Email Dialog

This dialog box is responsible for getting a confirmation from the user before the user sends a set of spam email messages to SpamBlazer servers that is used as part of the corpus for building SpamBlazer classifier.

Prompts for User' Authorization

Prompts the user for the final authorization before sending the set of spam email messages to SpamBlazer servers that is used in building the default SpamBlazer classifier.

Always get User Authorization

User checks the confirmation checkbox to indicate that subsequent spam email messages are sent to SpamBlazer for building SpamBlazer classifier without getting final user authorization. This means that the user is confident that transactions between the user and SpamBlazer are private and held in strictest confidence. User unchecks the confirmation checkbox to indicate that the user will always give an authorization before subsequent spam email messages are used in building SpamBlazer classifier.

Accepts User Authorization

User affirms that the set of spam email messages be sent to SpamBlazer servers for building the SpamBlazer classifier.

Declines User Authorization

User does not want the set of spam email messages to be sent to SpamBlazer servers for building the SpamBlazer classifier.


SpamBlazer Notification of Virus Email Dialog

This dialog box is responsible for getting a confirmation from the user before the user sends a set of virus email messages to SpamBlazer servers for further analysis.

Prompts for User' Authorization

Prompts the user for the final authorization before sending the set of virus email messages to SpamBlazer servers for further analysis

Always get User Authorization

User checks the confirmation checkbox to indicate that subsequent virus email messages are sent to SpamBlazer for further analysis without getting final user authorization. This means that the user is confident that transactions between the user and SpamBlazer are private and held in strictest confidence. User unchecks the confirmation checkbox to indicate that the user will always give an authorization before subsequent virus email messages are sent to SpamBlazer for further analysis.

Accepts User Authorization

User affirms that the set of virus email messages be sent to SpamBlazer servers for further analysis

Declines User Authorization

User does not want the set of virus email messages to be sent to SpamBlazer servers for further analysis.


SpamBlazer Public BlackLists Dialog

This dialog box is responsible for the maintenance of the public black lists that available for screening out spam messages. Public black lists contains IP addresses of notorious spammers, a user might elect to check each of inbound email messages against such lists. Checking against too many list can slow receipts of incoming emails, also these public black lists are ineffective, they are prone to block legitimate email messages coming from the same IP addresses as spammers.

Navigates Public BlackLists

You can navigate through the list of public black lists. Add more public blacklists to your list. Delete public blacklists from your list. Save changes made to your list. Span your public blacklists by fast forwarding, rewinding, moving to the first and last items on the list.

Edits and Views Public BlackLists

The data grid view depicts the list of public blacklists. Users might elect to utilise any of these public blacklists to determine whether or not an incoming email message is a spam. Each public blacklists contains IP addresses of notorious spammers and thus any messages emanating from such addresses are discarded by the public blacklists.

Closes Public BlackLists

Please close the dialog box after successfully editing the list of adversary countries.


SpamBlazer Spam IP Addresses Dialog

This dialog box is responsible for the maintenance of the list of IP addresses those you consider as enemies, foes, villians and unknown parties. Henceforth refer to as Spam IP Addresses. Members on this list are not trusted by the user. Email messages emanating from such quarters are quarantined and sent to the SpamBlazer folder .

Navigates Spam IP Addresses

You can navigate through the list of your Spam IP addresses. Messages from the members of this list are treated spam. Add more spam IP addresses of enemies, foes, villians, and unknown to the list of Spam IP addresses. Delete members from your list of spam IP addresses. Save changes made to your spam IP addresses list. Span your list of spam IP addresses by fast forwarding, rewinding, moving to the first and last items on the list.

Edits and Views Spam IP Addresses

The data grid view depicts the list of spam IP addresses of your enemies, foes, villains, and unknown parties. Whenever a user establishes that a sender of an email is an untrusted party, the user can elect to add the unscrupulous sender spam IP address to the spam IP addresses list. Messages from untrusted parties are quarantined by SpamBlazer. The messages are then moved to the SpamBlazer folder.

Closes List of Spam IP Addresses

Please close the dialog box after successfully editing the list of spam IP addresses.


SpamBlazer Training Dialog

This dialog box is responsible for the training of the classifier. SpamBlazer comes with its default classifier, so that users could be up and running out of the box; however, as users gain experience, it is advisable for them to build classifiers that are appropriate for them. One user legitimate email messages are others spam email messages. User can create special training folder, where legitimate messages are stored solely for training purpose. The SpamBlazer folder of the user could be used in the training for identifying of spam email messages. Users select appropriate folders for legititmate and spam email messages for training and constrain the messages used by indicating time periods.

Displays Legitimate Folder

Displays the selected mailitem folder whose messages would be used in the training as legitimate email messages.

Selects Legitimate Folder

Please select an email folder that you want SpamBlazer to use in its training for legitimate email messages.

Selects A Start Date For Legitimate Folder

The range of messages to be used in training is controlled by the start and end dates. Please select a start date for the period of interest. The start date cannot be in the future and cannot be greater than the end date.

Selects An End Date For Legitimate Folder

The range of messages to be used in the training is controlled by the start and end dates. Please select an end date for the period of interest. The end date cannot be in the future and cannot be less than the start date.

Displays Spam Folder

Displays the selected mailitem folder whose messages would be used in the training as spam email messages.

Selects Spam Folder

Please select an email folder that you want SpamBlazer to use in its training for spam email messages. H1> Selects A Start Date for Spam Folder The range of messages to be used in training is controlled by the start and end dates. Please select a start date for the period of interest. The start date cannot be in the future and cannot be greater than the end date.

Selects An End Date for Spam Folder

The range of messages to be used in the training is controlled by the start and end dates. Please select an end date for the period of interest. The end date cannot be in the future and cannot be less than the start date.

Displays Training Folder Progress

Display the status of the training process, depicting pertinent messages as the process continues.

Initiaties the Training Process

Please select the start training button to initiate the training process.

Cancels the Training Process

Please select the cancel button, if you dont want to proceed with the training process.


SpamBlazer Special Addresses Dialog

Users might consider some "To field" email addresses as special and want such email messages to be treated as legitimate email messages. This dialog box is responsible for the maintenance of special email addresses. Users populate this special email addresses list and messages from members of this list are treated as legitimate email messages, SpamBlazer moves such email messages to the Inbox folder.

Navigates Special Addresses

You can navigate through the list of your special email addresses. Messages from the members of this list are treated legitimate. Add more "To field" to the list of special addresses. Delete members from your list of special addresses. Save changes made to your special addresses list. Span your list of special addresses by fast forwarding, rewinding, moving to the first and last items on the list.

Edits and Views Special Addresses

The data grid view depicts the list of your cohorts, friends, family members, and known parties. Whenever a user establishes that a sender of an email is a trusted party, the user can elect to preclude the sender email messages for further screening by SpamBlazer by adding the sender email address to the list of special addresses. Untrusted parties are removed from the list of special addresses and would be subject to full screening by SpamBlazer.

Closes List of Special Addresses

Please close the dialog box after successfully editing the list of buddies.


SpamBlazer Options Dialog

This dialog box is responsible for the maintenance of the groups of options appplicable to SpamBlazer. These options control the various activties of SpamBlazer. The general option controls the high level properties of SpamBlazer. Users configure the operations of SpamBlazer in terms of granting authorization before email messages are sent onto SpamBlazer servers for further analysis.

The acceptance option allows users to manage all friendly lists of properties of SpamBlazer. This is equivalent to managing all aspects of white lists. A user indicates the list of buddies, list of acceptance IP addresses, list of acceptance special "To" field addresses and list of acceptable news groups or mailing lists addresses.

The rejection option permits users to manage all unscrupulous lists properties of SpamBlazer. This is the equivalent of managing all aspects of black lists. A user enumerates the list of enemies, list of spam IP addresses, list of advesary countries (notorious for sending spam messages) and list of public black lists that could be used in processing some email messages before further processing by SpamBlazer.

The miscellaneous option contains all the advanced properties of SpamBlazer, where users have control over the configuration of SpamBlazer core algorithms.

Grants User Authorizations

Under certain scenarios users might want to send some their emails messages to SpamBlazer for further analysis. Users send legitimate email messages to SpamBlazer for building corpus of legitimate messages that are used in training SpamBlazer. Users send spam email messages to SpamBlazer for building corpus of spam messages that used in training SpamBlazer. Users send virus email messages to SpamBlazer for further analysis. And finally, users send fraudulent email messages to SpamBlazer, whereby the said messages are processed and transferred to appropriate authorities. Users can configure SpamBlazer whether or not to prompt users for final approval before their messages are transmitted onto SpamBlazer servers.

Notify SpamBlazer of Fraudulent Email Messages

SpamBlazers prompts user for final approval before fraudulent email messages are sent to SpamBlazer for further analysis if the checkbox is checked. Otherwise, the messages are sent without users final authorization; this is the recommended practice because all communications between users and SpamBlazer are treated in the strictest confidence and privacy of user is absolute.

Notify SpamBlazer of Virus Email Messages

SpamBlazers prompts user for final approval before virus email messages are sent to SpamBlazer for further analysis if the checkbox is checked. Otherwise, the messages are sent without users final authorization; this is the recommended practice because all communications between users and SpamBlazer are treated in the strictest confidence and privacy of user is absolute.

Notify SpamBlazer of Spam Email Messages

SpamBlazers prompts user for final approval before fraudulent email messages are sent to SpamBlazer for training the classifier if the checkbox is checked. Otherwise, the messages are sent without users final authorization; this is the recommended practice because all communications between users and SpamBlazer are treated in the strictest confidence and privacy of user is absolute.

Notify SpamBlazer of Legitimate Email Messages

SpamBlazers prompts user for final approval before legitimate email messages are sent to SpamBlazer for further analysis if the checkbox is checked. Otherwise, the messages are sent without users final authorization; this is the recommended practice because all communications between users and SpamBlazer are treated in the strictest confidence and privacy of user is absolute.

Manages List of Buddies

Users manage their list of buddies - that is trusted allies - whose email messages are treated specially by SpamBlazer , these email messages are considered as legitimate email messages and are routed to users' Inbox folders.

Manages List of Valid IP Addresses

Users manage the list of valid IP addresses coming from cohorts, friends, family members and other trusted parties. Messages coming from these IP addresses are considered legitimate and are treated specially by SpamBlazer. The email messages are routed into the Inbox folder.

Manages List of Special Addresses

Users specify and manage special addresses in their "To" field that they want excerpted by SpamBlazer. SpamBlazer considers email messages addressed to these special addresses as legitimate mails and therefore routed onto the Inbox folder.

Manages Newsgroups and Mailing Lists

Users indicate their newsgroups and mailing lists addresses to SpamBlazer. Email messages emanating from these addresses are considered as legitimate email messages by SpamBlazer and are routed onto the Inbox folder.

Manages List of Enemies

Users manage their list of enemies - that is untrusted parties - whose email messages are routed to the SpamBlazer folder and email messages from the said parties are always considered as spam email messages.

Manages List of Spam IP Addresses

Users manage the list of spam IP addresses coming from enemies, foes, villians and unknown parties. Messages coming from these spam IP addresses are considered spam and are blocked by SpamBlazer. The email messages are routed into the SpamBlazer folder.

Manages List of Adversary Countries

Users manage the list of advesary countries. If users are experiencing deluge of unsolicited from certain countries, these countries are considered as advesary countries. Email messages from such countries can be barred by users. However, any email messages emanating from such countries that are on your list of buddies are acceptable. Email messages from adversary countries are treated as spam and moved onto the SpamBlazer folder.

Manages Public BlackLists

Users might elect to have public black lists screen their email messages for spam. Public blacklists harvest notorious IP addresses used by spammers and perform their screening by dropping email messages emanating from such IP addresses. This is not a recommended approach because this technique vicarously pushed innocent by standers that use the same IP address to send legitimate email messages.

Loads SpamBlazer Classifier

SpamBlazer comes with a generalised classifier. This classifier captures notorious spam email messages and a corpus of legitimate email messages. SpamBlazer continously update its training set. The training set enables users to be up and running out of the box, once they have installed SpamBlazer. As users gain experience, users can train the classifier on their sets of legitimate and spam email messages. In classification one person spam is another person legitimate email. For example, spammers consider spam email messages as legitimate, whilst others consider them as spam.

Ideally, for training the classifier, users should create two separate folders. Name the folders appropriately. For example, the training folder for legitimate email messages, is named LegitimateTraining; and for the spam email messages, the folder could be named SpamTraining. Users populate the folders respectively with legitimate and spam email messages. Ensure that you populate with enough samples of your legitimate and spam messages for best performance. The more diverse samples, the better the performance of the classifier. Execute the training process by selecting LegitimateTraining and SpamTraining as your folders for training, and also choosing a date range applicable to both folders.

At the completion of the training, go the miscellaneous selection and indicate which training set, you want SpamBlazer to use. At any point in time, SpamBlazer as three (3) training sets - the original SpamBlazer training set, the current user training set, and the previous user training set. The original SpamBlazer training set, is the generalised training set, built on corpus of legitimate and spam email messages received from our customers worldwide. SpamBlazer picks appropriate samples from these data sets to use in training the classifier. The user can always download the latest version of this file but has no control over it but elect to use for its classification purpose. The current user training set is the latest legitimate and spam email messages that the user ran on the classifier. The current training set is entirely in the purview of the user and needs to be careful in populate the training set. Towards the end of the current training set, the old user training set is backup for a number of reasons. This backup file is referred to as the previous training set. Primarily, the previous training set is used to revert back to an old classifier if the current classifier has low performance.

At any point in time, users can select one of these three (3) training sets to use in the classifier. Experienced users would probably use their own training sets whilst new users would generally use the original SpamBlazer training set.

Use Current Training Set

Users select the current training set to use in the classification tasks. SpamBlazer loads pertinent data files and reflects appropriate changes to itself.

User Previous Training Set

Users select the previous training set to use in the classification tasks. SpamBlazer loads pertinent data files and reflects appropriate changes to itself.

Use Original SpamBlazer Training Set

Users select the original SpamBlazer training set to use in the classification tasks. SpamBlazer loads pertinent data files and reflects appropriate changes to itself.

Accepts Options Changes

Accepts changes made to SpamBlazer properties.

Cancels Options Changes

Cancels changes made to SpamBlazer properties.